/// <reference types="node" />
import { DepsTree, TaskState } from './task-manager';
declare global {
    namespace NodeJS {
        interface WriteStream {
            clearLine(dir?: number): any;
            cursorTo(x: number, y?: number): any;
            moveCursor(dx: number, dy: number): any;
        }
    }
}
export interface Props {
    depsTree: DepsTree;
    indent?: number;
    symbolMap?: {
        [k: string]: string;
    };
    grayState?: TaskState[] | null;
    stream?: NodeJS.WriteStream;
}
export declare class CliLoading {
    props: Required<Props>;
    _loadingFrameMap: Map<string, number>;
    id?: NodeJS.Timer;
    linesToClear: number;
    constructor(props: Props);
    count(uid: string): number;
    renderDepsTree(depsTree: DepsTree, output?: string[]): string[];
    render(): void;
    clear(): this;
    start(): void;
    stop(): void;
}
