import { Dependency, TaskDep } from './task';
import { TaskContext } from './task-manager';
export declare class DepBuilder<O = any> {
    private _dep;
    constructor(name: Dependency);
    async(): this;
    force(): this;
    options(opts: O | ((ctx: TaskContext) => O)): this;
    toTaskDep(): TaskDep<O>;
}
export declare function dep(dep: Dependency): DepBuilder<any>;
declare global {
    interface String {
        async(): DepBuilder;
        force(): DepBuilder;
        options<O>(opts: O | NonNullable<TaskDep['resolveOptions']>): DepBuilder;
    }
}
