"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
class DepBuilder {
    constructor(name) {
        if (utils_1.Is.str(name)) {
            name = { name };
        }
        else if (name instanceof DepBuilder) {
            name = name.toTaskDep();
        }
        this._dep = name;
    }
    async() {
        this._dep.async = true;
        return this;
    }
    force() {
        this._dep.force = true;
        return this;
    }
    options(opts) {
        if (utils_1.Is.fn(opts)) {
            this._dep.resolveOptions = opts;
        }
        else {
            this._dep.options = opts;
        }
        return this;
    }
    toTaskDep() {
        return this._dep;
    }
}
exports.DepBuilder = DepBuilder;
function dep(dep) {
    if (utils_1.Is.str(dep)) {
        dep = { name: dep };
    }
    return new DepBuilder(dep);
}
exports.dep = dep;
String.prototype.async = function () {
    return dep(this).async();
};
String.prototype.force = function () {
    return dep(this).force();
};
String.prototype.options = function (opts) {
    return dep(this).options(opts);
};
//# sourceMappingURL=dep-builder.js.map