"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const task_manager_1 = require("./task-manager");
const Levels = {
    debug: 0,
    info: 1,
    warn: 2,
    error: 3,
};
function makeLogger(level, color) {
    return (...args) => {
        let levelNum = Levels[level];
        let taskManager = task_manager_1.getGlobalTaskManager();
        let curLevelNum = Levels[taskManager.globalOptions.logLevel || 'debug'];
        if (levelNum >= curLevelNum) {
            console.log(color(`[${level}]`), ...args);
        }
    };
}
exports.logger = {
    debug: makeLogger('debug', chalk_1.default.blueBright),
    info: makeLogger('info', chalk_1.default.green),
    log: makeLogger('info', chalk_1.default.green),
    warn: makeLogger('warn', chalk_1.default.yellow),
    error: makeLogger('error', chalk_1.default.red),
};
//# sourceMappingURL=logger.js.map