export declare const sleep: (ms: number) => Promise<void>;
export declare function throttle<T extends (...args: any[]) => void>(cb: T, ms: number): T;
export declare const Is: {
    defed<T>(v: T | null | undefined): v is T;
    str(v: any): v is string;
    bool(v: any): v is boolean;
    fn(v: any): v is Function;
    obj(v: any): v is object;
    num(v: any): v is number;
};
export declare function defaults<T>(val: T | undefined, defaultVal: T): T;
export declare function defaults<T>(val: T | undefined, val1: T | undefined, defaultVal: T): T;
export declare function defaults<T>(val: T | undefined, val1: T | undefined, val2: T | undefined, defaultVal: T): T;
export declare function defaults<T>(val: T | undefined, val1: T | undefined, val2: T | undefined, val3: T | undefined, defaultVal: T): T;
export declare function defaults<T>(val: T | undefined, val1: T | undefined, val2: T | undefined, val3: T | undefined, val4: T | undefined, defaultVal: T): T;
export declare type Stringify<T> = {
    [k in keyof T]: T[k] extends (string | null | undefined | 0 | false) ? string : Stringify<T[k]>;
};
/**
 * Generate unique task names with namespaces via object tree.
 * @param obj
 * @param ns Namespace
 * @param sep Separator for namespaces
 * @example
 *  ```ts
 * /** N.aa.bb => 'aa:bb' *\/
 * const N = namespacify({
 *   aa: { bb: { cc: '' } },
 *   cc: '',
 *   ff: ''
 * })
 *
 * /* =>
 *    { aa: { bb: { cc: 'aa:bb:cc' } },
 *      cc: 'cc',
 *      ff: 'ff' } *\/
 *  ```
 */
export declare function namespacify<T>(obj: T, ns?: string, sep?: string): Stringify<T>;
export declare function namespace<T>(ns: T, fn: (ns: Stringify<T>) => void): void;
export declare const DefaultLogFile: string;
